# Import des micro:bit Moduls
from microbit import *

# Initialisierung der I2C Schnittstelle
i2c.init(freq = 400000, sda = pin20, scl = pin19)

# setzt den zusätzlichen Ausgang 7 des IO Expanders low
def out7off():
    i2c.write(0x38, b'\x7f') 

# setzt den zusätzlichen Ausgang des IO Expanders high
def out7on():
    i2c.write(0x38, b'\xff')

# Demo-Schleife
while True:
    out7off()
    sleep(1000)
    out7on()
    sleep(1000)