# Import der benötigten Module
import microbit
import radio

# Einschalten der Funkhardware
radio.on()

# Definition der Variablen zur Datenübertragung
data0 = "0"
data1 = "0"
data = "00"

# Abfrageschleife
while True:
    a = microbit.accelerometer.get_values() # auslesen der Werte des Beschleunigungssensors

# Zuordnung der Buchstaben zu einer Richtung und speichern in data0
    if a[0] >= 300 and a[1] <= 300: # micro:bit nach links geneigt und nicht über den Schwellenwert nach vorn
        data0 = "l"
    elif a[0] <= -300 and a[1] <= 300: # micro:bit nach rechts geneigt und nicht über den Schwellenwert nach vorn
        data0 = "r"
    elif a[1] <= -300 and a[0] >= -300 and a[0] <= 300: # micro:bit nach vorn geneigt und nicht über den Schwellenwert zur Seite
        data0 = "f"
    elif a[1] >= 300: # micro:bit nach hinten geneigt
        data0 = "b"
    else: # sonst 0
        data0 = "0"

# Zuordnung der Buchstaben zu einem Knopf und speichern in data1
	if microbit.button_a.is_pressed() == 1 and microbit.button_b.is_pressed() == 0:
        data1 = "a"
    elif microbit.button_a.is_pressed() == 0 and microbit.button_b.is_pressed() == 1:
        data1 = "b"
    elif microbit.button_a.is_pressed() == 1 and microbit.button_b.is_pressed() == 1:
        data1 = "c"
    else:
        data1 = "0"
    data = data0 + data1 # data0 und data1 zusammensetzen und in data speichern
    radio.send(data) # data senden